Bug 758444 - client.conf incorrectly specifies /katello
client.conf incorrectly specifies /katello
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Tom McKay
SAM QE List
: Triaged
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2011-11-29 15:10 EST by Eric Sammons
Modified: 2012-04-26 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
katello-cli-headpin-0.1.12-1.el6.noarch
Last Closed: 2012-04-26 20:22:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2011-11-29 15:10:08 EST
Description of problem:
/etc/headpin/client.conf when installed incorrectly has /katello as the value for path.  This should be changed to be /headpin to avoid user post installation action.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 6.2 
katello-cli-headpin-0.1.12-1.el6.noarch
Comment 1 Tom McKay 2011-12-05 12:19:55 EST
commit 2703a1b8b1dcc977a2fd3da97a5652458b2b5a1b
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Mon Dec 5 10:58:08 2011 -0500

    + Bug 760189 - headpin CLI fails with <!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
      https://bugzilla.redhat.com/show_bug.cgi?id=760189
      Changed client.conf now references /headpin instead of /katello
Comment 2 Eric Sammons 2012-01-12 13:44:20 EST
cat /etc/headpin/client.conf

[server]
host = localhost.localdomain
port = 443
scheme = https
path = /headpin

[interface]
grep_friendly = false

[shell]
nohistory = false
prompt = headpin>

VERIFIED:

# rpm -qf /etc/headpin/client.conf 
katello-cli-headpin-0.1.13-2.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.